| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::NotFilter< T > Class Template Reference
Utililty classes

The NotFilter class provides a generic filter object to be used in conjunction of other filters. More...

`#include <TelepathyQt/NotFilter>`

Inherits Tp::Filter< T >.

List of all members.

## Public Member Functions

- virtual ~NotFilter ()
- virtual bool isValid () const
- virtual bool matches (const SharedPtr< T > &t) const
- SharedPtr< const Filter< T > > filter () const

## Static Public Member Functions

- static SharedPtr< NotFilter< T > > create (const SharedPtr< const Filter< T > > &filter=SharedPtr< const Filter< T > >())

## Detailed Description

### template<class T>
class Tp::NotFilter< T >

The NotFilter class provides a generic filter object to be used in conjunction of other filters.

The NotFilter will match if its given filter does not match its criteria.

## Constructor & Destructor Documentation

template<class T >

virtual Tp::NotFilter< T >::~NotFilter | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

template<class T >

static SharedPtr<NotFilter<T> > Tp::NotFilter< T >::create | ( | const SharedPtr< const Filter< T > > & | filter = `SharedPtr<const Filter<T> >()` | ) | `[inline, static]`

template<class T >

virtual bool Tp::NotFilter< T >::isValid | ( |  | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

template<class T >

virtual bool Tp::NotFilter< T >::matches | ( | const SharedPtr< T > & | t | ) | const`[inline, virtual]`

Reimplemented from Tp::Filter< T >.

template<class T >

SharedPtr<const Filter<T> > Tp::NotFilter< T >::filter | ( |  | ) | const`[inline]`